#
# spec file for package jakarta-commons-fileupload (Version 1.0)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl ant ant-junit attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs expat-32bit file filesystem fillup findutils flex fontconfig-32bit freetype2-32bit gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-32bit glibc-devel glibc-locale gpm grep groff gzip info insserv jakarta-commons-beanutils jakarta-commons-collections jakarta-commons-logging java-1_4_2-sun java-1_4_2-sun-devel jpackage-utils junit klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed servletapi5 servletapi5-javadoc strace sysvinit tar tcpd texinfo timezone unzip update-alternatives util-linux vim xerces-j2 xml-commons xml-commons-apis xorg-x11-libs-32bit zlib zlib-32bit zlib-devel

Name:           jakarta-commons-fileupload
BuildRequires:  ant-junit jakarta-commons-beanutils java-1_4_2-sun-devel servletapi5 servletapi5-javadoc update-alternatives xml-commons-apis
%define base_name       fileupload
%define short_name      commons-%{base_name}
%define name            jakarta-%{short_name}
%define version         1.0
%define release         3jpp
%define section         free
Version:        1.0
Release:        20.2
Summary:        Jakarta Commons FileUpload Package
License:        Apache
Group:          Development/Libraries/Java
Source0:        http://www.apache.org/dist/jakarta/commons/fileupload/source/commons-fileupload-1.0-src.tar.gz
Patch0:         %{name}-crosslink.patch
Patch1:         %{name}-servletapi5.patch
URL:            http://jakarta.apache.org/commons/fileupload/
Requires:       servletapi5
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Provides:       %{short_name}
Obsoletes:      %{short_name}

%description
The javax.servlet package lacks support for RFC 1867, HTML file upload.
 This package provides a simple-to-use API for working with such data. 
The scope of this package is to create a package of Java utility
classes to read multipart/form-data within a
javax.servlet.http.HttpServletRequest.



%debug_package
%package        javadoc
PreReq:         coreutils
Summary:        Javadoc for jakarta-commons-fileupload
Group:          Development/Libraries/Java

%description    javadoc
The javax.servlet package lacks support for rfc 1867, html file upload.
 This package provides a simple to use api for working with such data. 
The scope of this package is to create a package of Java utility
classes to read multipart/form-data within a
javax.servlet.http.HttpServletRequest.

This package contains the javadoc documentation for the Jakarta Commons
Fileupload Package.



%prep
%setup -q -n %{short_name}-%{version}
%patch0 -p0
%patch1 -p0
# -----------------------------------------------------------------------------

%build
export CLASSPATH="$(build-classpath servletapi5 junit \
jakarta-commons-beanutils):$PWD/target/classes:$PWD/target/test-classes"
ant \
  -Dbuild.sysclasspath=only \
  -Dfinal.name=%{name}-%{version} \
  -Dservletapi.javadoc=%{_javadocdir}/servletapi5 \
  dist
# -----------------------------------------------------------------------------

%install
# jars
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p dist/%{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed "s|jakarta-||g"`; done)
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)
# javadoc
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr dist/docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
# -----------------------------------------------------------------------------

%clean
rm -rf $RPM_BUILD_ROOT
# -----------------------------------------------------------------------------

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}
fi
# -----------------------------------------------------------------------------

%files
%defattr(0644,root,root,0755)
%doc LICENSE.txt
%{_javadir}/*

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
# -----------------------------------------------------------------------------

%changelog -n jakarta-commons-fileupload
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Oct 18 2005 - jsmeix@suse.de
- Current version 1.0 from JPackage.org
* Thu Sep 29 2005 - dmueller@suse.de
- add norootforbuild
* Fri Sep 17 2004 - skh@suse.de
- Fix prerequires of javadoc subpackage
* Sun Sep 05 2004 - skh@suse.de
- Initial package created with version 1.0 (JPackage 1.5)
